# Uses of Class
org.apache.lucene.search.suggest.fst.FSTCompletion.Completion

Packages that use FSTCompletion.Completion
Package
Description
org.apache.lucene.search.suggest.fst
Finite-state based autosuggest.

- ## Uses of FSTCompletion.Completion in org.apache.lucene.search.suggest.fst

  Methods in org.apache.lucene.search.suggest.fst that return types with arguments of type FSTCompletion.Completion
  Modifier and Type
  Method
  Description
  `Stream<FSTCompletion.Completion>`
  FSTCompletion.`lookup(CharSequence key)`
  Lookup suggestions to `key` and return a stream of matching completions.
  `List<FSTCompletion.Completion>`
  FSTCompletion.`lookup(CharSequence key, int num)`
  Lookup suggestions to `key`.
  Methods in org.apache.lucene.search.suggest.fst with parameters of type FSTCompletion.Completion
  Modifier and Type
  Method
  Description
  `int`
  FSTCompletion.Completion.`compareTo(FSTCompletion.Completion o)`
  Completions are equal when their `utf8` images are equal (bucket is not compared).